package com.intuit.sb.ca.utils.impl;

import javax.ejb.Remote;
import javax.ejb.Stateless;

import org.apache.log4j.Logger;

import com.intuit.sb.ca.utils.UtilityService;
import com.intuit.sb.payroll.common.PayrollLoggerFactory;
@Remote(UtilityService.class)
@Stateless(name = "UtilityService")
public class UtilityServiceImpl implements UtilityService 
{
	@SuppressWarnings("nls")
	public static final String JNDI_NAME = "UtilityService/remote";
	
	private static Logger logger = PayrollLoggerFactory.makeLogger(UtilityServiceImpl.class);

	public void logString(String data) 
	{
		logger.info(data);		
	}

}
