package com.intuit.sb.payroll;

import javax.ejb.ApplicationException;


@ApplicationException(rollback=true)
public class ServiceFailureException extends Exception
{
	private static final long serialVersionUID = -6296330493713523297L;

	public ServiceFailureException()
    {
    }

    public ServiceFailureException(String message)
    {
        super(message);
    }

    public ServiceFailureException(Throwable ex)
    {
        super(ex);
    }

    public ServiceFailureException(String message, Throwable ex)
    {
        super(message, ex);
    }

}
