package com.intuit.sb.payroll;

import java.io.Serializable;

/**
 * Pojo that represents a Task in a workflow for informational purposes.  Used in WorkflowException.
 *
 * $Author$ 
 * $Revision$
 * $DateTime$
 */
public class TaskDesc implements Serializable {

	private static final long serialVersionUID = 6895634826570653819L;
	
	private String key;
	private String name;
	
	public TaskDesc() {}
	
	public TaskDesc(String aKey, String aName) {
		this.key = aKey;
		this.name = aName;
	}
	
	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getName() {
		return this.name;
	}
	
	public void setName(String aName) {
		this.name = aName;
	}

}
