package com.intuit.sb.payroll.entity.model;

import java.util.Date;

import javax.persistence.EntityListeners;
import javax.persistence.Transient;

import com.intuit.sb.payroll.entity.workerpayments.PayrollScheduleEntityListener;

@EntityListeners(PayrollScheduleEntityListener.class)
public class PayrollSchedule extends PayrollScheduleBase {

	private static final long serialVersionUID = 744620846L;
	public static final int LAST_DAY_OF_MONTH = 100;

    /**
     * This is a calculated value, never persisted.  Marked as @Transient
     */
	private Date payPeriodStartDate;
    
	/**
	 * Default constructor
	 */
	public PayrollSchedule() {
	}

	@Transient
	public Date getPeriodStartDate() {
		return payPeriodStartDate;
	}
	
	public void setPeriodStartDate(Date value) {
		this.payPeriodStartDate = value;
	}

}