
    
    
    
    
    

    
    -- drop shared table columns (if any added)
       
    
    -- drop tables
    
DECLARE
  	table_exists PLS_INTEGER;
  	column_exists PLS_INTEGER;
BEGIN
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'HEALTHBENEFIT';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "HEALTHBENEFIT" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'ADDITION';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "ADDITION" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PAYROLLSCHEDULE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PAYROLLSCHEDULE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'LAW';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "LAW" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'COMPENSATIONDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "COMPENSATIONDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'LEGALSTRUCTURE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "LEGALSTRUCTURE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'BENEFITPROVIDER';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "BENEFITPROVIDER" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'DISABILITYINSDOCDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "DISABILITYINSDOCDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'OTHERBENEFITDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "OTHERBENEFITDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'COMPLIANCEDOC';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "COMPLIANCEDOC" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'DEDUCTION';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "DEDUCTION" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'UNEMPLOYMENTINSDOCDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "UNEMPLOYMENTINSDOCDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'WORKER';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "WORKER" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PAYCHECKLINEITEM';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PAYCHECKLINEITEM" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'DEDUCTIONDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "DEDUCTIONDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EMPLOYERADJUSTMENT';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EMPLOYERADJUSTMENT" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EMPLOYERCOMPLIANCEDOCDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EMPLOYERCOMPLIANCEDOCDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'WORKERLIABILITYADJUSTMENT';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "WORKERLIABILITYADJUSTMENT" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'RETIREMENTBENEFIT';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "RETIREMENTBENEFIT" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'RETIREMENTBENEFITDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "RETIREMENTBENEFITDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EMPLOYMENTPERIOD';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EMPLOYMENTPERIOD" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PAYROLLITEM';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PAYROLLITEM" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'TAXDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "TAXDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EMPLOYERCONTACTPERSON';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EMPLOYERCONTACTPERSON" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'JURISDICTION';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "JURISDICTION" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EMPLOYERID';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EMPLOYERID" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'BENEFITSVC';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "BENEFITSVC" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'OTHERBENEFIT';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "OTHERBENEFIT" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'TASK';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "TASK" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PAYROLLITEMDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PAYROLLITEMDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'AGENCYIDTYPE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "AGENCYIDTYPE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PAYCHECK';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PAYCHECK" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'AGENCY';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "AGENCY" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'WORKLOCATION';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "WORKLOCATION" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'CONTACTPERSON';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "CONTACTPERSON" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PTDDATUM';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PTDDATUM" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "WORKERCOMPLIANCEDOCDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PAYROLLRUN';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PAYROLLRUN" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EMPLOYERADJLINEITEM';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EMPLOYERADJLINEITEM" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PAIDTIMEOFFDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PAIDTIMEOFFDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'COMPENSATION';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "COMPENSATION" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'ADDITIONDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "ADDITIONDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'TAX';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "TAX" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'HISTORICALPAYCHECKLINEITEM';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "HISTORICALPAYCHECKLINEITEM" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'BENEFIT';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "BENEFIT" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EMPLOYER';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EMPLOYER" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'BANKACCOUNT';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "BANKACCOUNT" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PAIDTIMEOFF';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PAIDTIMEOFF" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'INDUSTRYTYPE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "INDUSTRYTYPE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'HEALTHBENEFITDTL';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "HEALTHBENEFITDTL" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'WORKLOCATIONBENEFITSERVICE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "WORKLOCATIONBENEFITSERVICE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'CONTACTPERSONWORKLOCATION';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "CONTACTPERSONWORKLOCATION" CASCADE CONSTRAINTS';
	END IF;
END;
/

    
   

    
DECLARE
  table_exists PLS_INTEGER;
  row_exists PLS_INTEGER;

  DELETE_CMD VARCHAR2(255);

BEGIN
  SELECT COUNT(*) INTO table_exists
  FROM "USER_TABLES"
  WHERE TABLE_NAME = 'PROJECT_VERSIONS_TABLE';
  IF table_exists = 1 THEN
    SELECT 'DELETE FROM PROJECT_VERSIONS_TABLE WHERE PROJECT_ID=''_c4GAoJEkEd2zF5tDuPZkGw'''   
    INTO DELETE_CMD
    FROM DUAL;
  
    EXECUTE IMMEDIATE DELETE_CMD;   
  
  END IF;
END;
/

    