package com.intuit.sb.payroll.notification;

/**
 * This class holds all the request paramters of the email recipient
 * recipientId Id can be any string or need not be set, this is optional
 * emailAddress email Id to whom the mail must be sent
 * recipientName Full name of the recipient this is optional
 * format Type of email content HTML or plain text
 * @author dkulkarni
 */
public class EmailRecipient 
{
	private String recipientId;
	private String emailAddress; 
	private String recipientName;
	private ContentFormatType format;
	
	public String getRecipientId() 
	{
		return recipientId;
	}
	public void setRecipientId(String recipientId) 
	{
		this.recipientId = recipientId;
	}
	public String getEmailAddress() 
	{
		return emailAddress;
	}
	public void setEmailAddress(String emailAddress) 
	{
		this.emailAddress = emailAddress;
	}
	public String getRecipientName() 
	{
		return recipientName;
	}
	public void setRecipientName(String recipientName) 
	{
		this.recipientName = recipientName;
	}
	public ContentFormatType getFormat() 
	{
		return format;
	}
	public void setFormat(ContentFormatType format) 
	{
		this.format = format;
	}
}
