package com.intuit.sb.payroll.notification.template;

import java.util.Properties;

/**
 * Abstract class for Email template
 *
 */
public abstract class GenericEmailTemplate implements EmailTemplate 
{
	private Properties properties = new Properties();
	private String templateIdentifier;

	public void setProperty(String key, String value){
		properties.put(key, value);
	}
	
	public String getValue(String key){
		return properties.getProperty(key);
	}
	
	public Properties getProperties(){
		return properties;
	}
	
	
	public final String getTemplateName(){
		return templateIdentifier;
	}
	
	public void setTemplateName(String templateName){
		templateIdentifier = templateName;
	}
	
	
}
