package com.intuit.sb.payroll.notification.template;

public class PayrollNotificationTemplateFactory {
	
	public static String TEMPLATE_PAYROLL_SCHEDULE = "SetupPayrollScheduleTemplate";
	public static String TEMPLATE_RAYROLL_RUN_REMINDER = "RunPayrollReminderTemplate";
	
	public static EmailTemplate getNotificationTemplate(String templateType){
		// TODO use reflection instead
		
		if (TEMPLATE_PAYROLL_SCHEDULE.equals(templateType)){
			return new SetupPayrollScheduleTemplate();
		}else if (TEMPLATE_RAYROLL_RUN_REMINDER.equals(templateType)){
			return new RunPayrollReminderTemplate();
		}
		return null;
		 
	}
	
	

}
