package com.intuit.sb.payroll.rules;

import java.util.ArrayList;
import java.util.List;

public class RulesRequest {

	private List<Object> inputObjects = new ArrayList<Object>();
	
	public void aAddInput(Object e) throws RulesException
	{
        
		if(inputObjects.contains(e))
		{
			throw new RulesException("Object already in the RulesRequest");
		}
		
		inputObjects.add(e);
	}
	
	
	@SuppressWarnings("unchecked")
	public List getInputs()
	{
		List inList = inputObjects;
		return inList;
	}

	public void initialize(RulesResult result) {
		inputObjects = result.getData();
	}
}
