package com.intuit.sb.payroll.rules.util;

import java.io.Serializable;

/**
 * Utility class for wrapping rules operations to the 
 * Rules Engine
 * 
 *
 */
public class RulesCommand implements Serializable {
	
	private static final long serialVersionUID = 656222268567904423L;
	
	private RulesOP operation;
	
	public RulesCommand(RulesOP operation) 
	{
		this.operation = operation;
	}
	
	
	public RulesOP getOperation() 
	{
		return operation;
	}
}
