package com.intuit.sb.payroll.capability.pts.adapter.mapper;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import com.intuit.sb.payroll.entity.model.Agency;
import com.intuit.sb.payroll.entity.model.AgencyEnum;
import com.intuit.sb.payroll.entity.model.Jurisdiction;

public class JurisdictionMapper {
	// TODO Currently PTS expects Jurisdiction as Strings that eventually
	// will be changed into enums For now we use final static strings
	
	private static final String CA = "CA";
	
	public static List<String> mapJurisdiction(Jurisdiction jurisdiction) {
		List<String> mappedJurisdiction = new ArrayList<String>();
		Set<Agency> agencies = jurisdiction.getAgencies();
		for (Agency agency : agencies) {
			if (agency.getAgencyKey().equals(AgencyEnum.CA_EDD)){
				if (!mappedJurisdiction.contains(CA)){
					mappedJurisdiction.add(CA);
				}
			}
		}
		return mappedJurisdiction;
	}

}
