package com.intuit.sb.payroll.capability.employer;

import java.util.List;

import org.testng.AssertJUnit;
import org.testng.annotations.Test;

import com.intuit.sb.payroll.entity.model.Jurisdiction;

public class EmployerJurisdictionsTest extends EmployerComponentTestBase
{
	@Test
	public void testDetermineJurisdicationsWithNoWorkLoc() throws Exception
	{
		// Checking there are worklocations so that we can go ahead with tests
		AssertJUnit.assertNotSame(sEmployerComponent.findAllWorkLocations().size(), 0);
		List<Jurisdiction> jurisdictions = sEmployerComponent.determineAllJurisdictions();
		AssertJUnit.assertNotNull(jurisdictions);
		AssertJUnit.assertNotSame(jurisdictions.size(), 0);
	}
}
