package com.intuit.sb.payroll.services.employer;

import java.io.Serializable;

import com.intuit.sb.payroll.services.worker.Worker;
import com.intuit.sb.payroll.services.workerpayments.PayrollSchedule;
import com.intuit.sb.payroll.task.Task;

/**
 * Response DTO from loading the application
 */
public class LoadApplicationResponse implements Serializable {
	private static final long serialVersionUID = -2345283414182053537L;

	private boolean newCompany;
	private String version;
	private String buildTime;
	private EmployerInfo employerInfo;
	private PayrollSchedule payrollSchedule;
	private Task[] currentTasks;
	private Worker[] workers;
	private CalendarEntry[][] calendarEntryYears;
	private String userName;

	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public boolean isNewCompany() {
		return newCompany;
	}
	public void setNewCompany(boolean newCompany) {
		this.newCompany = newCompany;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public String getVersion() {
		return version;
	}
	public void setBuildTime(String buildTime) {
		this.buildTime = buildTime;
	}
	public String getBuildTime() {
		return buildTime;
	}
	public EmployerInfo getEmployerInfo() {
		return employerInfo;
	}
	public void setEmployerInfo(EmployerInfo employerInfo) {
		this.employerInfo = employerInfo;
	}
	public void setPayrollSchedule(PayrollSchedule payrollSchedule) {
		this.payrollSchedule = payrollSchedule;
	}
	public PayrollSchedule getPayrollSchedule() {
		return payrollSchedule;
	}
	public void setCurrentTasks(Task[] currentTasks) {
		this.currentTasks = currentTasks;
	}
	public Task[] getCurrentTasks() {
		return currentTasks;
	}
	public void setWorkers(Worker[] workers) {
		this.workers = workers;
	}
	public Worker[] getWorkers() {
		return workers;
	}
	/**
	 * @return the calendarEntryYears
	 */
	public CalendarEntry[][] getCalendarEntryYears() {
		return calendarEntryYears;
	}
	/**
	 * @param calendarEntryYears the calendarEntryYears to set
	 */
	public void setCalendarEntryYears(CalendarEntry[][] calendarEntryYears) {
		this.calendarEntryYears = calendarEntryYears;
	}
}
