package com.intuit.sb.payroll.services.taxes;

import java.io.Serializable;

public class Jurisdiction implements Serializable 
{
	private static final long serialVersionUID = -7310367480338017638L;
	
	// Please note that during the creation of this object the requirements were very minimal, we just wanted
	// number of Jurisdiction, so not all attributes from Jurisdiction are available here. Feel free to add more
	
	private String uniqueId; //unique identifier
	private int version; //version for optimistic locking purposes
	
	private String name; //example Federal Income Tax
	/**
	 * @return the uniqueId
	 */
	public String getUniqueId() 
	{
		return uniqueId;
	}
	/**
	 * @param uniqueId the uniqueId to set
	 */
	public void setUniqueId(String uniqueId) 
	{
		this.uniqueId = uniqueId;
	}
	/**
	 * @return the version
	 */
	public int getVersion() 
	{
		return version;
	}
	/**
	 * @param version the version to set
	 */
	public void setVersion(int version) 
	{
		this.version = version;
	}
	/**
	 * @return the Name
	 */
	public String getName() 
	{
		return name;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}
}
