package com.intuit.sb.payroll.services.taxes;

import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class SaveWithholdingInfoRequest implements Serializable {

	private static final long serialVersionUID = -7099876240453304083L;

	private Long workerId;
	private String workerTaxIdNumber;
	private String wagePlanCode;
	private WithholdingInfoOperation withholdingInfoOperation;
	private WithholdingInformation withholdingInfo;

	public SaveWithholdingInfoRequest() {
	}

	public void setWorkerId(Long workerId) {
		this.workerId = workerId;
	}

	public Long getWorkerId() {
		return workerId;
	}

	public String getWorkerTaxIdNumber() {
		return workerTaxIdNumber;
	}

	public void setWorkerTaxIdNumber(String workerTaxIdNumber) {
		this.workerTaxIdNumber = workerTaxIdNumber;
	}

	public String getWagePlanCode() {
		return wagePlanCode;
	}

	public void setWagePlanCode(String wagePlanCode) {
		this.wagePlanCode = wagePlanCode;
	}

	public WithholdingInfoOperation getWithholdingInfoOperation() {
		return withholdingInfoOperation;
	}

	public void setWithholdingInfoOperation(WithholdingInfoOperation withholdingInfoOperation) {
		this.withholdingInfoOperation = withholdingInfoOperation;
	}

	public WithholdingInformation getWithholdingInfo() {
		return withholdingInfo;
	}

	public void setWithholdingInfo(WithholdingInformation withholdingInfo) {
		this.withholdingInfo = withholdingInfo;
	}

	@Override
	public boolean equals(Object other) {
		return EqualsBuilder.reflectionEquals(this, other);
	}

	@Override
	public int hashCode() {
		return HashCodeBuilder.reflectionHashCode(this);
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.SIMPLE_STYLE);
	}

}
