package com.intuit.sb.payroll.services.taxpayments;

import java.io.Serializable;
import java.math.BigDecimal;

import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

import com.intuit.sb.payroll.services.common.ObjectHandle;

public class FutaPaymentLiability implements Serializable {

	private static final long serialVersionUID = 1786086036321537795L;

	private ObjectHandle objectHandle;

	private BigDecimal amount;
	
	private FutaAmountType futaAmountType;
	
	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public ObjectHandle getObjectHandle() {
		return objectHandle;
	}

	public void setObjectHandle(ObjectHandle objectHandle) {
		this.objectHandle = objectHandle;
	}

	public void setFutaAmountType(FutaAmountType futaAmountType) {
		this.futaAmountType = futaAmountType;
	}

	public FutaAmountType getFutaAmountType() {
		return futaAmountType;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
	}
}
