package com.intuit.sb.payroll.services.taxpayments;

import java.io.Serializable;
import java.util.Date;

import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

import com.intuit.sb.payroll.entity.model.DateRange;

/**
 * Class to represent a {@link DateRange DateRange} entity object <br>
 * in the composed layer
 */
public class PaymentPeriod implements Serializable {

	private static final long serialVersionUID = 5513402418411770656L;
	private Date periodStartDate;
	private Date periodEndDate;

	public void setPeriodEndDate(Date periodEndDate) {
		this.periodEndDate = periodEndDate;
	}

	public Date getPeriodEndDate() {
		return periodEndDate;
	}

	public void setPeriodStartDate(Date periodStartDate) {
		this.periodStartDate = periodStartDate;
	}

	public Date getPeriodStartDate() {
		return periodStartDate;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
	}	
}
