package com.intuit.sb.payroll.entity.taxauthority;

import javax.ejb.Local;

import com.intuit.sb.payroll.ServiceFailureException;
import com.intuit.sb.payroll.entity.eao.GenericEAO;
import com.intuit.sb.payroll.entity.model.Law;

@Local
public interface LawEAO extends GenericEAO<Law> {
	
	@SuppressWarnings("nls")
	public static final String JNDI_NAME = "LawEAO/local";

	public Law findByLawId(String lawId) throws ServiceFailureException;

}
