package com.intuit.sb.payroll.entity.taxes;

import java.util.List;

import javax.ejb.Local;

import com.intuit.sb.payroll.entity.eao.GenericEAO;
import com.intuit.sb.payroll.entity.model.AgencyEnum;
import com.intuit.sb.payroll.entity.model.AgencyIdType;

@Local
public interface AgencyIdTypeEAO extends GenericEAO<AgencyIdType>
{
	public static final String JNDI_NAME =  "AgencyIdTypeEAO/local";
	public List<AgencyIdType> findAgenciesByKey(AgencyEnum agencyKey);
}
