package com.intuit.sb.payroll.pts.entity;

import java.util.List;

import com.intuit.sb.payroll.entity.domain.Identifiable;
import com.intuit.sb.payroll.entity.eao.GenericEAO;

public interface GenericStateEAO<E extends Identifiable> extends GenericEAO<E>
{
	public List<E> findAllInSortedOrder();
	
	public E getMostRecentState();
	
	public List<E> findAllActiveInSortedOrder();
	
	public E getMostRecentActiveState();
	
}
