REVOKE SELECT, INSERT, UPDATE, DELETE ON CAWAGEPLAN FROM &&2
/

REVOKE SELECT, INSERT, UPDATE, DELETE ON DE4DETAIL FROM &&2
/

REVOKE SELECT, INSERT, UPDATE, DELETE ON W9DETAIL FROM &&2
/

REVOKE SELECT, INSERT, UPDATE, DELETE ON W4DETAIL FROM &&2
/

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove table CAWAGEPLAN

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove table DE4DETAIL

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove table W9DETAIL

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove table W4DETAIL

ALTER TABLE WORKERCOMPLIANCEDOCDTL ADD (
    DE4ISINCOMETAXEMEMPT CHAR(1) NULL, 
    DE4NOOFALLOWANCES NUMBER(10,0) NULL, 
    DE4NOOFDEDUCTIONS NUMBER(10,0) NULL, 
    DE4ADDTLAMOUNT_CUR VARCHAR2(100) NULL, 
    DE4ADDTLAMOUNT_AMT NUMBER(19,4) NULL, 
    DE4WITHHOLDINGSTATUS VARCHAR2(100) DEFAULT 'NOTSET' NULL, 
    ISBACKUPWITHHOLDINGEXEMPT CHAR(1) NULL, 
    PERCENTAGERATE_CUR VARCHAR2(100) NULL, 
    PERCENTAGERATE_AMT NUMBER(19,4) NULL, 
    W4ISINCOMETAXEMEMPT CHAR(1) NULL, 
    W4NOOFALLOWANCES NUMBER(10,0) NULL, 
    W4ADDTLAMOUNT_CUR VARCHAR2(100) NULL, 
    W4ADDTLAMOUNT_AMT NUMBER(19,4) NULL, 
    W4WITHHOLDINGSTATUS VARCHAR2(100) DEFAULT 'NOTSET' NULL, 
    VALUE VARCHAR2(100) NULL
)
/



ALTER TABLE PTSMESSAGE ADD (BANKACCOUNTSTATE NUMBER(20,0) NULL)
/

ALTER TABLE BANKACCOUNTSTATE ADD (STATUSDATE TIMESTAMP NULL)
/

ALTER TABLE BANKACCOUNTSTATE ADD (STATUS VARCHAR2(100) NULL)
/

ALTER TABLE PTSMESSAGE ADD CONSTRAINT PTSMESSAGE_FK_BANKACCSTATE
    FOREIGN KEY (BANKACCOUNTSTATE)
    REFERENCES BANKACCOUNTSTATE (ID)
/

CREATE INDEX PTSMESSAGE_RX ON PTSMESSAGE(REALM_ID ASC)
/

CREATE INDEX RAASTATE_FK_PTSMESSAGE ON PTSMESSAGE(RAAENROLLMENTSTATE ASC)
/

CREATE INDEX PTSMESSAGE_FK_RAFSTATE ON PTSMESSAGE(RAFENROLLMENTSTATE ASC)
/

CREATE INDEX PTSMESSAGE_FK_ACTIVATIONSTATE ON PTSMESSAGE(ACTIVATIONSTATE ASC)
/

CREATE INDEX PTSMESSAGE_FK_EFTPSSTATE ON PTSMESSAGE(EFTPSENROLLMENTSTATE ASC)
/

CREATE INDEX PTSMESSAGE_FK_BANKACCSTATE ON PTSMESSAGE(BANKACCOUNTSTATE ASC)
/

CREATE INDEX PTSMESSAGE_FK_ACHSTATE ON PTSMESSAGE(ACHENROLLMENTSTATE ASC)
/

CREATE INDEX PTSEMPLOYER_RX ON PTSEMPLOYER(REALM_ID ASC)
/

CREATE INDEX EFTPSENROLLMENTSTATE_RX ON EFTPSENROLLMENTSTATE(REALM_ID ASC)
/

CREATE INDEX EFTPSENRST_FK_PTSASSISTEDST ON EFTPSENROLLMENTSTATE(TAXSERVICESTATE ASC)
/

CREATE INDEX BANKACCOUNTSTATE_RX ON BANKACCOUNTSTATE(REALM_ID ASC)
/

CREATE INDEX PTSEMP_FK_BANKACTSTATE ON BANKACCOUNTSTATE(PTSEMPLOYER ASC)
/

CREATE INDEX TAKEHOMEWORKER_RX ON TAKEHOMEWORKER(REALM_ID ASC)
/

CREATE INDEX PTSCONTACTPERSON_RX ON PTSCONTACTPERSON(REALM_ID ASC)
/

CREATE INDEX PTSEMP_FK_PTSCONTACT ON PTSCONTACTPERSON(PTSEMPLOYER ASC)
/

CREATE INDEX PTSWORKFLOWSTATE_RX ON PTSWORKFLOWSTATE(REALM_ID ASC)
/

CREATE INDEX ACHENROLLMENTSTATE_RX ON ACHENROLLMENTSTATE(REALM_ID ASC)
/

CREATE INDEX ACHSTATE_FK_PTSASSISTEDST ON ACHENROLLMENTSTATE(TAXSERVICESTATE ASC)
/

CREATE INDEX TAKEHOMECOMPANY_RX ON TAKEHOMECOMPANY(REALM_ID ASC)
/

CREATE INDEX EMPPTSSTATE_RX ON EMPPTSSTATE(REALM_ID ASC)
/

CREATE INDEX EMPPTSSTATE_FK_TAXSERVICESTATE ON EMPPTSSTATE(TAXSERVICESTATE ASC)
/

CREATE INDEX RAAENROLLMENTSTATE_RX ON RAAENROLLMENTSTATE(REALM_ID ASC)
/

CREATE INDEX RAASTATE_FK_PTSASSISTEDST ON RAAENROLLMENTSTATE(TAXSERVICESTATE ASC)
/

CREATE INDEX ACTIVATIONSTATE_RX ON ACTIVATIONSTATE(REALM_ID ASC)
/

CREATE INDEX TAXSVCSTATE_FK_ACTIVSTATE ON ACTIVATIONSTATE(TAXSERVICESTATE ASC)
/

CREATE INDEX TAXSERVICESTATE_RX ON TAXSERVICESTATE(REALM_ID ASC)
/

CREATE INDEX RAFENROLLMENTSTATE_RX ON RAFENROLLMENTSTATE(REALM_ID ASC)
/

CREATE INDEX RAFSTATE_FK_PTSASSISTEDST ON RAFENROLLMENTSTATE(TAXSERVICESTATE ASC)
/

CREATE INDEX USEMPADJ_FK_USPRUN ON EMPLOYERADJUSTMENT(USPAYROLLRUN ASC)
/

UPDATE PROJECT_VERSIONS_TABLE SET SCHEMA_VERSION='1.0.24', TIMESTAMP='2009-05-12 14:11:49.649' WHERE PROJECT_ID='_FY5ioOECEd2RxJXjYkjWBw'
/

