ALTER TABLE PTSMESSAGE DROP CONSTRAINT PTSMESSAGE_FK_ACHSTATE
/

ALTER TABLE PTSMESSAGE DROP CONSTRAINT PTSMESSAGE_FK_BANKACCSTATE
/

ALTER TABLE PTSMESSAGE DROP CONSTRAINT PTSMESSAGE_FK_EFTPSSTATE
/

ALTER TABLE PTSMESSAGE DROP CONSTRAINT PTSMESSAGE_FK_ACTIVATIONSTATE
/

ALTER TABLE PTSMESSAGE DROP CONSTRAINT PTSMESSAGE_FK_RAFSTATE
/

ALTER TABLE PTSMESSAGE DROP CONSTRAINT RAASTATE_FK_PTSMESSAGE
/

DROP INDEX RAASTATE_FK_PTSMESSAGE
/

DROP INDEX PTSMESSAGE_FK_RAFSTATE
/

DROP INDEX PTSMESSAGE_FK_ACTIVATIONSTATE
/

DROP INDEX PTSMESSAGE_FK_EFTPSSTATE
/

DROP INDEX PTSMESSAGE_FK_BANKACCSTATE
/

DROP INDEX PTSMESSAGE_FK_ACHSTATE
/

ALTER TABLE BANKACCOUNTSTATE DROP CONSTRAINT PTSEMP_FK_BANKACTSTATE
/

ALTER TABLE BANKACCOUNTSTATE DROP CONSTRAINT BANKACT_FK_PTSBANKSTATE
/

ALTER TABLE BANKACCOUNTSTATE DROP UNIQUE (BANKACCOUNT)
/

DROP INDEX PTSEMP_FK_BANKACTSTATE
/

REVOKE SELECT, INSERT, UPDATE, DELETE ON EMPPTSSTATE FROM &&2
/

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column UUID from table RAFENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column VERSION from table RAFENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFIEDBY from table RAFENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFICATIONDATE from table RAFENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATEDBY from table RAFENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATIONDATE from table RAFENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column STATUSDATE from table RAFENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column UUID from table EFTPSENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column VERSION from table EFTPSENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFIEDBY from table EFTPSENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFICATIONDATE from table EFTPSENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATEDBY from table EFTPSENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATIONDATE from table EFTPSENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column STATUSDATE from table EFTPSENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column EFTPSENROLLMENTSTATE from table PTSMESSAGE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column ACHENROLLMENTSTATE from table PTSMESSAGE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column ACTIVATIONSTATE from table PTSMESSAGE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column RAAENROLLMENTSTATE from table PTSMESSAGE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column BANKACCOUNTSTATE from table PTSMESSAGE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column RAFENROLLMENTSTATE from table PTSMESSAGE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column UUID from table RAAENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column VERSION from table RAAENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFIEDBY from table RAAENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFICATIONDATE from table RAAENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATEDBY from table RAAENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATIONDATE from table RAAENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column STATUSDATE from table RAAENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column UUID from table ACTIVATIONSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column VERSION from table ACTIVATIONSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFIEDBY from table ACTIVATIONSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFICATIONDATE from table ACTIVATIONSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATEDBY from table ACTIVATIONSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATIONDATE from table ACTIVATIONSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column STATUSDATE from table ACTIVATIONSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column AGENCY from table ACTIVATIONSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column UUID from table ACHENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column VERSION from table ACHENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFIEDBY from table ACHENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFICATIONDATE from table ACHENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATEDBY from table ACHENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATIONDATE from table ACHENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column STATUSDATE from table ACHENROLLMENTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column PTSEMPLOYER from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column BANKACCOUNT from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column UUID from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column VERSION from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFIEDBY from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column LASTMODIFICATIONDATE from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATEDBY from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column CREATIONDATE from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove column STATUSDATE from table BANKACCOUNTSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove table EMPPTSSTATE

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove columns in table BANKACCOUNT

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove columns in table PAYROLLRUN

    -- WARNING: DESTRUCTIVE OPERATION NOT INCLUDED: Remove columns in table EMPLOYERADJUSTMENT

ALTER TABLE WORKERCOMPLIANCEDOCDTL RENAME COLUMN DE4ISINCOMETAXEMEMPT TO DE4TAXEXEMPT
/

ALTER TABLE WORKERCOMPLIANCEDOCDTL RENAME COLUMN ISBACKUPWITHHOLDINGEXEMPT TO SUBJECTTOBACKUPWITHHOLDING
/

ALTER TABLE WORKERCOMPLIANCEDOCDTL RENAME COLUMN W4ISINCOMETAXEMEMPT TO W4TAXEXEMPT
/

CREATE TABLE NOTIFICATIONSTATUSENTITY (
    PRIMARY KEY(ID),
    ID NUMBER(20,0) NOT NULL, 
    REALM_ID NUMBER(20,0) DEFAULT -1 NOT NULL, 
    STATUSDATE TIMESTAMP NULL, 
    AGENCY VARCHAR2(100) NULL, 
    CREATIONDATE TIMESTAMP NULL, 
    CREATEDBY VARCHAR2(100) NULL, 
    LASTMODIFICATIONDATE TIMESTAMP NULL, 
    LASTMODIFIEDBY VARCHAR2(100) NULL, 
    VERSION NUMBER(20,0) NOT NULL, 
    UUID VARCHAR2(255) NOT NULL
)
/

CREATE INDEX NOTIFICATIONSTATUSENTITY_RX ON NOTIFICATIONSTATUSENTITY(REALM_ID ASC)
/

CREATE OR REPLACE TRIGGER "NOTIFICATIONSTATUSENTITY_VT" BEFORE INSERT OR UPDATE ON "NOTIFICATIONSTATUSENTITY"
    FOR EACH ROW
    BEGIN
     IF USER = UPPER('&&1') THEN RETURN; 
     END IF; 
     IF INSERTING THEN 
         :new.realm_id := SBCORE_VPD_POLICY_PKG.GET_REALM_ID_FROM_CTX; 
     ELSE 
         IF UPDATING THEN 
             IF :old.realm_id != :new.realm_id THEN 
                 :new.realm_id := :old.realm_id; 
             END IF; 
         END IF; 
     END IF; 
    END;
/


CREATE TABLE PPSPTSINTERACTION (
    PRIMARY KEY(ID),
    ID NUMBER(20,0) NOT NULL, 
    REALM_ID NUMBER(20,0) DEFAULT -1 NOT NULL, 
    ENTITY VARCHAR2(100) NULL, 
    OPERATION VARCHAR2(100) NULL, 
    IDENTIFIER NUMBER(20,0) NULL, 
    INTERACTIONDATE TIMESTAMP NULL, 
    CREATIONDATE TIMESTAMP NULL, 
    CREATEDBY VARCHAR2(100) NULL, 
    LASTMODIFICATIONDATE TIMESTAMP NULL, 
    LASTMODIFIEDBY VARCHAR2(100) NULL, 
    VERSION NUMBER(20,0) NOT NULL, 
    UUID VARCHAR2(255) NOT NULL, 
    PTSEMPLOYER NUMBER(20,0) NULL
)
/

CREATE INDEX PPSPTSINTERACTION_RX ON PPSPTSINTERACTION(REALM_ID ASC)
/

CREATE INDEX PTSEMP_PPSINT_FK ON PPSPTSINTERACTION(PTSEMPLOYER ASC)
/

ALTER TABLE PPSPTSINTERACTION ADD CONSTRAINT PTSEMP_PPSINT_FK
    FOREIGN KEY (PTSEMPLOYER)
    REFERENCES PTSEMPLOYER (ID)
/

CREATE OR REPLACE TRIGGER "PPSPTSINTERACTION_VT" BEFORE INSERT OR UPDATE ON "PPSPTSINTERACTION"
    FOR EACH ROW
    BEGIN
     IF USER = UPPER('&&1') THEN RETURN; 
     END IF; 
     IF INSERTING THEN 
         :new.realm_id := SBCORE_VPD_POLICY_PKG.GET_REALM_ID_FROM_CTX; 
     ELSE 
         IF UPDATING THEN 
             IF :old.realm_id != :new.realm_id THEN 
                 :new.realm_id := :old.realm_id; 
             END IF; 
         END IF; 
     END IF; 
    END;
/


CREATE TABLE STATEIDMODIFIED (
    PRIMARY KEY(ID),
    ID NUMBER(20,0) NOT NULL, 
    REALM_ID NUMBER(20,0) DEFAULT -1 NOT NULL, 
    OLDVALUE VARCHAR2(100) NULL, 
    NEWVALUE VARCHAR2(100) NULL, 
    PTSEMPLOYER NUMBER(20,0) NULL
)
/

CREATE INDEX STATEIDMODIFIED_RX ON STATEIDMODIFIED(REALM_ID ASC)
/

CREATE INDEX STATEIDMODIFIED_FK_PTSEMPLOYER ON STATEIDMODIFIED(PTSEMPLOYER ASC)
/

ALTER TABLE STATEIDMODIFIED ADD CONSTRAINT STATEIDMODIFIED_FK_PTSEMPLOYER
    FOREIGN KEY (PTSEMPLOYER)
    REFERENCES PTSEMPLOYER (ID)
/

CREATE OR REPLACE TRIGGER "STATEIDMODIFIED_VT" BEFORE INSERT OR UPDATE ON "STATEIDMODIFIED"
    FOR EACH ROW
    BEGIN
     IF USER = UPPER('&&1') THEN RETURN; 
     END IF; 
     IF INSERTING THEN 
         :new.realm_id := SBCORE_VPD_POLICY_PKG.GET_REALM_ID_FROM_CTX; 
     ELSE 
         IF UPDATING THEN 
             IF :old.realm_id != :new.realm_id THEN 
                 :new.realm_id := :old.realm_id; 
             END IF; 
         END IF; 
     END IF; 
    END;
/


ALTER TABLE PTSMESSAGE ADD (NFST_FK_MESSAGE NUMBER(20,0) NULL)
/

ALTER TABLE PTSEMPLOYER ADD (CURRENTTAXSERVICESTATUS VARCHAR2(100) NULL)
/

ALTER TABLE BANKACCOUNTSTATE ADD (TAXSERVICESTATE NUMBER(20,0) NULL)
/

ALTER TABLE BANKACCOUNTSTATE ADD (BANKACCTID NUMBER(20,0) NULL)
/

ALTER TABLE PTSMESSAGE ADD CONSTRAINT PTSMESSAGE_FK_NFST_FK_MESSAGE
    FOREIGN KEY (NFST_FK_MESSAGE)
    REFERENCES NOTIFICATIONSTATUSENTITY (ID)
/

CREATE INDEX PTSMESSAGE_FK_NFST_FK_MESSAGE ON PTSMESSAGE(NFST_FK_MESSAGE ASC)
/

ALTER TABLE BANKACCOUNTSTATE ADD CONSTRAINT TAXST_FK_BA_STATE
    FOREIGN KEY (TAXSERVICESTATE)
    REFERENCES TAXSERVICESTATE (ID)
/

CREATE INDEX TAXST_FK_BA_STATE ON BANKACCOUNTSTATE(TAXSERVICESTATE ASC)
/

GRANT SELECT, INSERT, UPDATE, DELETE ON STATEIDMODIFIED TO &&2
/

GRANT SELECT, INSERT, UPDATE, DELETE ON PPSPTSINTERACTION TO &&2
/

GRANT SELECT, INSERT, UPDATE, DELETE ON NOTIFICATIONSTATUSENTITY TO &&2
/

UPDATE PROJECT_VERSIONS_TABLE SET SCHEMA_VERSION='1.0.25', TIMESTAMP='2009-05-19 12:36:11.6' WHERE PROJECT_ID='_FY5ioOECEd2RxJXjYkjWBw'
/

