
    
    
    
    
    

    
    -- drop shared table columns (if any added)
       
    
    -- drop tables
    
DECLARE
  	table_exists PLS_INTEGER;
  	column_exists PLS_INTEGER;
BEGIN
	
	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'TAKEHOMECOMPANY';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "TAKEHOMECOMPANY" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'BANKACCOUNTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "BANKACCOUNTSTATE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'ACTIVATIONSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "ACTIVATIONSTATE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'NOTIFICATIONSTATUSENTITY';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "NOTIFICATIONSTATUSENTITY" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PTSCONTACTPERSON';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PTSCONTACTPERSON" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'TAXCREDIT';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "TAXCREDIT" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'TAKEHOMEWORKER';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "TAKEHOMEWORKER" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'RAFENROLLMENTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "RAFENROLLMENTSTATE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PTSPAYROLLRUN';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PTSPAYROLLRUN" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'STATEIDMODIFIED';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "STATEIDMODIFIED" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PPSPTSINTERACTION';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PPSPTSINTERACTION" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PTSWORKFLOWSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PTSWORKFLOWSTATE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PTSMESSAGE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PTSMESSAGE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'PTSEMPLOYER';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "PTSEMPLOYER" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'ACHENROLLMENTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "ACHENROLLMENTSTATE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'EFTPSENROLLMENTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "EFTPSENROLLMENTSTATE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'RAAENROLLMENTSTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "RAAENROLLMENTSTATE" CASCADE CONSTRAINTS';
	END IF;

	SELECT COUNT(*) INTO table_exists
	FROM "USER_TABLES"
	WHERE TABLE_NAME = 'TAXSERVICESTATE';
	IF table_exists = 1 THEN
  		EXECUTE IMMEDIATE 'DROP TABLE "TAXSERVICESTATE" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'W4TAXEXEMPT';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "W4TAXEXEMPT" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'W4NOOFALLOWANCES';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "W4NOOFALLOWANCES" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'W4ADDTLAMOUNT_CUR';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "W4ADDTLAMOUNT_CUR" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'W4ADDTLAMOUNT_AMT';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "W4ADDTLAMOUNT_AMT" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'W4WITHHOLDINGSTATUS';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "W4WITHHOLDINGSTATUS" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'SUBJECTTOBACKUPWITHHOLDING';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "SUBJECTTOBACKUPWITHHOLDING" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'PERCENTAGERATE_CUR';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "PERCENTAGERATE_CUR" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'PERCENTAGERATE_AMT';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "PERCENTAGERATE_AMT" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'DE4TAXEXEMPT';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "DE4TAXEXEMPT" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'DE4NOOFALLOWANCES';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "DE4NOOFALLOWANCES" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'DE4NOOFDEDUCTIONS';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "DE4NOOFDEDUCTIONS" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'DE4ADDTLAMOUNT_CUR';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "DE4ADDTLAMOUNT_CUR" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'DE4ADDTLAMOUNT_AMT';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "DE4ADDTLAMOUNT_AMT" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'DE4WITHHOLDINGSTATUS';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "DE4WITHHOLDINGSTATUS" CASCADE CONSTRAINTS';
	END IF;
	
	SELECT COUNT(*) INTO column_exists
	FROM "USER_TAB_COLUMNS"
	WHERE TABLE_NAME = 'WORKERCOMPLIANCEDOCDTL' AND COLUMN_NAME = 'VALUE';
	IF column_exists = 1 THEN
		EXECUTE IMMEDIATE 'ALTER TABLE WORKERCOMPLIANCEDOCDTL DROP COLUMN "VALUE" CASCADE CONSTRAINTS';
	END IF;


END;
/

    
   

    
DECLARE
  table_exists PLS_INTEGER;
  row_exists PLS_INTEGER;

  DELETE_CMD VARCHAR2(255);

BEGIN
  SELECT COUNT(*) INTO table_exists
  FROM "USER_TABLES"
  WHERE TABLE_NAME = 'PROJECT_VERSIONS_TABLE';
  IF table_exists = 1 THEN
    SELECT 'DELETE FROM PROJECT_VERSIONS_TABLE WHERE PROJECT_ID=''_FY5ioOECEd2RxJXjYkjWBw'''   
    INTO DELETE_CMD
    FROM DUAL;
  
    EXECUTE IMMEDIATE DELETE_CMD;   
  
  END IF;
END;
/

    