package com.intuit.sb.payroll.remoteejb;

import javax.ejb.Stateless;
import javax.management.MBeanServer;
import javax.management.MalformedObjectNameException;

import org.jboss.annotation.ejb.RemoteBinding;
import org.jboss.mx.util.MBeanProxyExt;
import org.jboss.mx.util.MBeanServerLocator;

import com.intuit.sb.payroll.capability.config.GeminiConfigurationService;

/**
 * 
 * This Bean will create a transaction or participate in the current one.
 *
 */
@Stateless
@RemoteBinding(jndiBinding="GeminiConfigService")
public class GeminiConfigServiceBean implements GeminiConfigService 
{

	public void setTaxServiceHost(String url) throws MalformedObjectNameException{
		
		 MBeanServer server = MBeanServerLocator.locateJBoss();
		 GeminiConfigurationService geminiCongifService = (GeminiConfigurationService)MBeanProxyExt.create(GeminiConfigurationService.class, GeminiConfigurationService.JNDI_NAME, server);
		 geminiCongifService.setTaxPaymentServiceHost(url);

		
	}
}
