package com.intuit.sb.payroll.qa.webservice.client;

import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;

import com.intuit.sb.payroll.capability.pts.adapter.dtos.PTSNotificationDTO;

// THIS IMPLEMENTATION IS TEMPORARY AND WILL BE REPLACED BY JAX
public class PTSNotificationAdapterServiceClient {
	
	
	
	public static PTSNotificationAdapterServiceResponse sendRequest(String soapurl , PTSNotificationDTO pNotificationDTO) throws Exception {
		
		PTSNotificationAdapterServicerRequest adapterServicerRequest = new PTSNotificationAdapterServicerRequest(pNotificationDTO);
		
		
        // Create the connection where we're going to send the file.
        URL url = new URL(soapurl);
        URLConnection connection = url.openConnection();
        HttpURLConnection httpConn = (HttpURLConnection) connection;
        

        InputStream fin = new ByteArrayInputStream(adapterServicerRequest.getSOAPRequest().getBytes() );

        ByteArrayOutputStream bout = new ByteArrayOutputStream();
    
        // Copy the SOAP file to the open connection.
        copy(fin,bout);
        fin.close();
        

        byte[] b = bout.toByteArray();

        // Set the appropriate HTTP parameters.
        httpConn.setRequestProperty( "Content-Length",
                                     String.valueOf( b.length ) );
        httpConn.setRequestProperty("Content-Type","text/xml; charset=utf-8");
		  httpConn.setRequestProperty("SOAPAction","");
        httpConn.setRequestMethod( "POST" );
        httpConn.setDoOutput(true);
        httpConn.setDoInput(true);

        // Everything's set up; send the XML that was read in to b.
        OutputStream out = httpConn.getOutputStream();
        out.write( b );    
        out.close();

        // Read the response and write it to standard out.

        InputStreamReader isr =
            new InputStreamReader(httpConn.getInputStream());
        BufferedReader in = new BufferedReader(isr);

        String inputLine;
        
        StringBuffer sb= new StringBuffer();

        while ((inputLine = in.readLine()) != null)
           // System.out.println(inputLine);
        	sb.append(inputLine);

        in.close();
        
        return new PTSNotificationAdapterServiceResponse(sb.toString());
	}
	
	
	
	// copy method from From E.R. Harold's book "Java I/O"
	  private static void copy(InputStream in, OutputStream out) 
	   throws IOException {

	    synchronized (in) {
	      synchronized (out) {

	        byte[] buffer = new byte[256];
	        while (true) {
	          int bytesRead = in.read(buffer);
	          if (bytesRead == -1) break;
	          out.write(buffer, 0, bytesRead);
	        }
	      }
	    }
	  } 

}
