package com.intuit.sb.payroll.tools;

import java.lang.reflect.Method;
import org.testng.annotations.Test;

public class CreateNewEmployerForPerfTest {

	@SuppressWarnings("unchecked")
	@Test
	public void testSeedData()
	{
		CreateNewEmployer seedDataPopulator = new CreateNewEmployer();
		
		try {		  
		  Class cl = Class.forName("com.intuit.sb.payroll.capability.common.PayrollEmbeddedContainer");
		  Method mth = cl.getMethod("startContainer");
		  mth.invoke(null);
		  //PayrollEmbeddedContainerTestBase.startContainer();		  
		} catch (Exception ex)
		{
		  throw new RuntimeException("Can not bootstrap embedded container", ex);
		}
		try 
		{
		  seedDataPopulator.setPerfTest(true);
		  seedDataPopulator.createNewUser(10);
		}
		catch (Exception ex)
		{
		  throw new RuntimeException("Error in seeding data", ex);
		}
	}
}
