package com.intuit.sb.payroll.performance;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public abstract class PerformanceTestServlet extends HttpServlet {
	
	abstract String performTest(String username);
	
	public void doGet(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException {

		HttpSession session = request.getSession();
	
		response.setContentType("text/html");
	    PrintWriter out = response.getWriter();
	    out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">");
	    out.println("<HTML>");
	    out.println("  <HEAD><TITLE>Performance Test</TITLE></HEAD>");
	    out.println("  <BODY>");
	
	    String username = request.getParameter("username");
	    /* if username is not passed as a parameter, retrieve from session */
	    if ( username == null || username.equals(""))
	    {
	       username = (String)session.getAttribute("username");
	    }
	    MockLoginUtil.mockLogin(username);
	    out.println(performTest(username));
	    
	    out.println("  </BODY>");
	    out.println("</HTML>");
	    out.flush();
	    out.close();	
}	
}
