package com.intuit.sb.payroll.remoteejb;

import javax.ejb.Stateless;
import javax.ejb.Remote;
import org.jboss.annotation.ejb.RemoteBinding;

/**
 * Implementation of the IWorkerService. Delegates most implementation to other
 * classes.
 * 
 * This Bean will create a transaction or participate in the current one.
 *
 * $Author: jzhong $
 * $Revision: #10 $
 * $DateTime: 2008/09/19 14:58:09 $
 *
 */
@Stateless
@Remote
@RemoteBinding(jndiBinding="FooRemoteService")
public class FooRemoteServiceBean implements FooRemoteService 
{
	public void printFoo()
	{
		System.out.println("I am a foo");
	}
}
