/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.OperationTuple.java
 * 
 * Created: Aug 16, 2011 7:18:44 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

import com.intuit.sb.services.query.validator.context.Property;

/**
 * 
 * @author gkesler
 */
public interface FilterTuple<T> extends ExpressionTuple, PathHolder, ValueHolder<T> {
    /**
     * 
     * @return 
     */
    Property getPath ();
    /**
     * 
     * @return 
     */
    T getValue ();
}
