/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.PaginationTuple.java
 * 
 * Created: Aug 17, 2011 12:15:56 AM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

/**
 *
 * @author gkesler
 */
public abstract class PaginationTuple<T> implements Tuple {    
    protected final T value;
    
    public T getValue() {
		return value;
	}

	protected PaginationTuple (T value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return getClass().getSimpleName() + "{" + "value=" + value + '}';
    }
}
