/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.datasync.query.test.BeanInfoProviderFactory.java
 * 
 * Created: Dec 6, 2011 12:48:13 PM
 * Author: gkesler
 */
package com.intuit.sb.datasync.query.test;

import com.intuit.sb.services.query.validator.context.BeanInfoProvider;
import com.intuit.sb.services.query.validator.context.Context;
import com.intuit.sb.services.query.validator.context.MetadataProvider;
import com.intuit.sb.services.query.validator.context.MetadataProviderFactory;

/**
 *
 * @author gkesler
 */
public class BeanInfoProviderFactory implements MetadataProviderFactory {

    @Override
    public MetadataProvider createMetadataProvider(Context context, Class contextType) {
        return new BeanInfoProvider(this, context, contextType);
    }    
}
