package com.intuit.sb.payroll.capability.workerpayments;

import java.io.Serializable;

import com.intuit.sb.payroll.entity.model.Employer;

public class PayrollRunInputs implements Serializable {
	
	private static final long serialVersionUID = 3043054975306995197L;

	private Employer employer;
	private PayrollRunInfo payrollRunInfo;
	
	public PayrollRunInputs() {}
	
	public PayrollRunInputs(Employer employer, PayrollRunInfo payrollRunInfo) {
		super();
		this.employer = employer;
		this.payrollRunInfo = payrollRunInfo;
	}

	public Employer getEmployer() {
		return employer;
	}
	
	public void setEmployer(Employer employer) {
		this.employer = employer;
	}

	public void setPayrollRunInfo(PayrollRunInfo payrollRunInfo) {
		this.payrollRunInfo = payrollRunInfo;
	}

	public PayrollRunInfo getPayrollRunInfo() {
		return payrollRunInfo;
	}
}
