package com.intuit.sb.payroll.common;

public enum WorkflowEventType {
	//Worker
	ADD_WORKER,
	UPDATE_WORKER,
	TERMINATE_WORKER, 
	REHIRE_WORKER,
	DELETE_WORKER,
	//Employer
	CREATE_EMPLOYER, 
	UPDATE_EMPLOYER,
	ADD_PAYROLL_SCHEDULE,
	UPDATE_PAYROLL_SCHEDULE,
	DELETE_PAYROLL_SCHEDULE,
	UPDATE_EMPLOYERID,
	PREFETCH_EMPLOYERID,
	ADD_EMPLOYER_BANKACCOUNT,
	UPDATE_EMPLOYER_BANKACCOUNT,
	ADD_EMPLOYER_CONTACT,
	UPDATE_EMPLOYER_CONTACT,
	
	
	//Payrun
	COMMIT_SCHEDULED_PAYROLL_RUN,
	COMMIT_TERMINATION_PAYROLL_RUN,
	COMMIT_ADHOC_PAYROLL_RUN,
	PAYROLL_RUN_UPDATED,
	PAYROLL_RUN_PAYCHECKS_VOIDED,
	
	//Assisted [amalik] Assisted PTS artifacts should not be here
	ASSISTED_SETUP_COMPLETE,
	EMPLOYER_ADDED_IN_PTS,
	EMPLOYER_IN_PRE_ACTIVATION
	
}
