package com.intuit.sb.payroll.common;

import org.testng.AssertJUnit;

import org.testng.annotations.Test;

import com.intuit.sb.payroll.common.PayrollResourceManager;
import com.intuit.sb.payroll.common.ResourceKeyConstants;
/**
 * This class tests the PayrollResourceManager
 * TODO It would be nice to add a bad field to Messages object using some dark magic and fail validation
 *
 */

public class PayrollResourceManagerTest
{
    @Test
    /**
     * Test an existing key
     */
    public void testGetResourceString()
    {
        PayrollResourceManager resourceManager = PayrollResourceManager.getInstance();
        AssertJUnit.assertEquals("The resource value does not match", resourceManager
                        .getString(ResourceKeyConstants.CPRESOURCE_NOT_FOUND_EXCEPTION), "Failed to find classpath resource:");
    }
    
    @Test
    /**
     * Test a bad key
     */
    public void testGetBadResourceString()
    {
        PayrollResourceManager resourceManager = PayrollResourceManager.getInstance();
        AssertJUnit.assertEquals("The resource value does not match", resourceManager
                        .getString("Foo"), null);
    }

}
