package com.intuit.sb.payroll.entity.model;

import java.util.Date;


/**
 * This class specifies a period of time. The period of tie is specified by provideing start
 * and end dates.
 */
@javax.persistence.Embeddable
public class DateRange extends DateRangeBase {
    /**
     * Generated serial version id.
     */
	private static final long serialVersionUID = -39550975L;

	/**
	 * Default constructor
	 */
	public DateRange() {
	}

	/**
	 * Convenience constructor.
	 * 
	 * @param startDate
	 * @param endDate
	 */
	public DateRange(Date startDate, Date endDate) {
		super.setStartDate(startDate);
		super.setEndDate(endDate);
	}

	public java.util.Date getStartDate() {
		return super.getStartDate();
	}

	public void setStartDate(java.util.Date startDate) {
		super.setStartDate(startDate);
	}

	public java.util.Date getEndDate() {
		return super.getEndDate();
	}

	public void setEndDate(java.util.Date endDate) {
		super.setEndDate(endDate);
	}

}