package com.intuit.sb.payroll.entity.worker;

import javax.persistence.PostPersist;
import javax.persistence.PostRemove;
import javax.persistence.PostUpdate;

import org.apache.log4j.Logger;

import com.intuit.sb.payroll.common.PayrollLoggerFactory;

/**
 * EntityListener for Worker Entity.
 * All the operations when a worker entity is created/updated or removed should go here
 * @author amalik
 *
 */
public class EmployeeEntityListener {
	static private final Logger sLogger = PayrollLoggerFactory.makeLogger(EmployeeEntityListener.class);
	
	@PostPersist
	public void persist(Object entity)
	{
		sLogger.debug("@PostPersist: New enity created " + entity.getClass().getName() + " " );
				// TO DO waiting for Anduril to implement UUID support.
//				+ ((DomainEntity)entity).getUUID());
		//PayrollMessageUtil.createPayrollMessage(entity, PayrollMessageEnum.NEW_EMPLOYEE_CREATION);
	}
	
	@PostUpdate
	public void update(Object entity)
	{
		sLogger.debug("@PostPersist: New enity created " + entity.getClass().getName());
		//PayrollMessageUtil.createPayrollMessage(entity, PayrollMessageEnum.EMPLOYEE_UPDATE);
	}
	      
	@PostRemove
	public void remove(Object entity)
	{
		sLogger.debug("@PostRemove: Entity Removed " + entity.getClass().getName());
	//	PayrollMessageUtil.createPayrollMessage(null, PayrollMessageEnum.DELETE_EMPLOYEE);
	}
}
