package com.intuit.sb.payroll.rules;

import java.net.URL;
import java.util.LinkedHashMap;
import java.util.Map;

public interface RulesEngine
{
	public RulesResult runRules(String uri, RulesRequest request) throws RulesException;
	public Map<String,LinkedHashMap<String,String>> registerRulesets(final URL configUrl) throws RulesException;
	public void unRegisterRulesets(final URL configUrl) throws RulesException;
}
