package com.intuit.sb.payroll.rules.util;

import java.io.Serializable;


/**
 * Class created for the purpose of Rules Engine. String is immutable and we don't see
 * a way to directly use strings in the LHS of Rules Syntax for Drools
 *
 */
public class StringHolder implements Serializable
{
    
	/**
	 * 
	 */
	private static final long serialVersionUID = 5170183030001726857L;
	private String value;

    
    public String getValue()
    {
        return value;
    }

    
    public void setValue(String value)
    {
        this.value = value;
    }

}
