package com.intuit.sb.payroll.capability.employer;

import java.util.List;

import javax.ejb.Local;

import com.intuit.sb.payroll.ServiceFailureException;
import com.intuit.sb.payroll.ValidationException;
import com.intuit.sb.payroll.entity.model.EmployerId;

@Local
public interface EmployerTaxSettingComponent {
	@SuppressWarnings("nls")
	public static final String JNDI_NAME =  "EmployerTaxSettingComponent/local";

	public List<EmployerId> getEmployerIds() throws ServiceFailureException;
	
	public void updateEmployerIds(List<EmployerId> employerIds) throws ValidationException, ServiceFailureException;
	
}
