package com.intuit.sb.payroll.capability.pts.adapter;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import com.intuit.sb.payroll.capability.pts.adapter.dtos.AdapterResponse;
import com.intuit.sb.payroll.capability.pts.adapter.dtos.PTSNotificationDTO;

@WebService
public interface PTSNotification {

	/**
	 * Web Service to update the company Activation Status
	 *
	 * @param companyActivationNotificationDTO
	 * @return AdapterResponse
	 */

	@SuppressWarnings("nls")
	public static final String JNDI_NAME =  "PTSNotification/local";

	@WebMethod
	public abstract AdapterResponse updateCompanyActivationStatus(
			@WebParam(name = "ptsNotificationDTO") PTSNotificationDTO ptsNotificationDTO);


}