package com.intuit.sb.payroll.capability.pts.adapter.mapper;

import java.util.Set;

import com.intuit.sb.payroll.entity.model.AgencyEnum;
import com.intuit.sb.payroll.entity.model.EmployerId;

public class EmployerIDMapper {
	
	public static String getFEIN(Set<EmployerId> employerIds)
	{
		String fein = null;
		for (EmployerId employerId : employerIds) {
			if (employerId.getAgencyIdType().getAgencyKey().equals(AgencyEnum.US_IRS)){
				fein = employerId.getValue();
				break;
			}
		}
		return fein;
	}

}
