package com.intuit.sb.payroll.capability.pts.notification.mapper;

import java.util.ArrayList;
import java.util.List;

import com.intuit.sb.payroll.capability.pts.adapter.dtos.MessageDTO;
import com.intuit.sb.payroll.pts.entity.PTSMessage;

public class PTSMessageMapper {

	public static List<PTSMessage> mapPTSMessage(List<MessageDTO> list) {

		List<PTSMessage> ptsMessageList = new ArrayList<PTSMessage>();

		for (MessageDTO messageDTO : list) {
			PTSMessage ptsMessage = new PTSMessage();
			ptsMessage.setMessageCode(messageDTO.getMessageId());
			ptsMessage.setMessageDescription(messageDTO.getMessageDescription());
			ptsMessageList.add(ptsMessage);
		}
		return ptsMessageList;
	}

}
