package com.intuit.sb.payroll.capability.taxes.withholding.impl;

import com.intuit.sb.payroll.ValidationException;
import com.intuit.sb.payroll.entity.model.WorkerComplianceDocDtl;

/**
 * Interface intended for instances of Validators for specific types of {@link WorkerComplianceDocDtl}s.
 * 
 * $Author: $ 
 * $Revision: $
 * $DateTime: $
 *
 */
public interface WorkerComplianceDocValidator {

	/**
	 * Validate an instance of a {@link WorkerComplianceDocDtl}.
	 * 
	 * @param workerComplianceDoc the doc to validate.
	 * @throws ValidationException if there are any constraints violated.
	 */
	public void validateWorkerComplianceDocDtl(WorkerComplianceDocDtl workerComplianceDoc) throws ValidationException;

}
