package com.intuit.sb.payroll.calcengine;


enum EmployeeFilingStatus
{
    /*
    //FED
    public static final int SINGLE_ID = 512;
    public static final int MARRIED_ID = 256;
    public static final int MARRIED_USING_SINGLE_RATE_ID = 64;
    public static final int DON_T_WITHHOLD_ID = 2048;
    
    //CA
    public static final int SINGLE_ID = 512;
    public static final int MARRIED__ONE_INCOME__ID = 256;
    public static final int MARRIED__TWO_INCOMES__ID = 128;
    public static final int HEAD_OF_HOUSEHOLD_ID = 64;
    public static final int DON_T_WITHHOLD_ID = 2048;
    
    //TX
    public static final int _NONE__ID = 1;
    */   
    CA_SINGLE(512, "CA"),
    CA_MARRIED_ONE_INCOME(256, "CA"),
    CA_MARRIED_TWO_INCOMES(128, "CA"),
    CA_HEAD_OF_HOUSEHOLD(64, "CA"),
    CA_DON_T_WITHHOLD(2048, "CA"),
    US_SINGLE(512, "USFED"),
    US_MARRIED(256, "USFED"),
    US_MARRIED_USING_SINGLE(64, "USFED"),
    US_DON_T_WITHHOLD(2048, "USFED"),
    TX_NONE(1, "TX");

    private int lawId;
    private String label;
    
    private EmployeeFilingStatus(int lawId, String label)
    {
        this.lawId = lawId;
        this.label = label;
    }

    public int getLawId()
    {
        return lawId;
    }
    
    public String getLabel()
    {
        return label;
    }
}
