package com.intuit.sb.payroll.capability.agency;

import java.util.Date;
import java.util.List;

import org.testng.Assert;
import org.testng.annotations.Test;

import com.intuit.sb.payroll.capability.agency.impl.AgencyComponentBean;
import com.intuit.sb.payroll.common.DateUtil;
import com.intuit.sb.payroll.entity.model.DateRange;

public class AgencyComponentTest {

	@Test
	public void testGetHolidaysForPeriod() throws Exception {
		AgencyComponent bean = new AgencyComponentBean();
		Date startDate = DateUtil.createDate(2009, 0, 1);
		Date endDate = DateUtil.createDate(2009, 12, 31);
		List<Holiday> holidaysForPeriod = bean.getHolidaysForPeriod(new DateRange(startDate, endDate));
		Assert.assertTrue(holidaysForPeriod.size() > 0);
	}
}
