package com.intuit.sb.payroll.services.employer;

import java.util.ArrayList;

/**
 * List of checklist items based on Assisted state of the employer
 * @author dkulkarni
 */
public class TaxPaymentsChecklist extends ArrayList<TaxPaymentsChecklistItem> {

	private static final long serialVersionUID = -4865118290569153719L;

	public final TaxPaymentsChecklistItem finishEmployeeSetup = new TaxPaymentsChecklistItem("finishEmployeeSetup", "finishEmployeeSetup", 0);
	public final TaxPaymentsChecklistItem enterTaxPaymentsInfo = new TaxPaymentsChecklistItem("enterTaxPaymentsInfo", "enterTaxPaymentsInfo", 1);
	public final TaxPaymentsChecklistItem verifyBankAccount = new TaxPaymentsChecklistItem("verifyBankAccount", "verifyBankAccount", 2);
	public final TaxPaymentsChecklistItem completeReturnForms = new TaxPaymentsChecklistItem("completeReturnForms", "completeReturnForms", 3);
	
	public TaxPaymentsChecklist() {
		this.add(finishEmployeeSetup);
		this.add(enterTaxPaymentsInfo);
		this.add(verifyBankAccount);
		this.add(completeReturnForms);
	}
}
