package com.intuit.sb.payroll.services.taxes.impl;

import com.intuit.sb.payroll.entity.model.AgencyIdType;
import com.intuit.sb.payroll.services.taxes.TaxAgency;

public class TaxAgencyMapper
{
	public static TaxAgency mapToService(AgencyIdType agencyIdType)
	{
		if(agencyIdType == null)
		{
			return null;
		}

		String name = agencyIdType.getAgencyKey().toString();
		boolean mandatory = agencyIdType.isMandatory();
		String taxIdGhostText = agencyIdType.getGhostText();
		String taxIdPattern = agencyIdType.getAgencyIdValidationPattern();
		TaxAgency taxAgency = new TaxAgency(name, taxIdPattern, taxIdGhostText, mandatory);

		return taxAgency;
	}
}
