package com.intuit.sb.payroll.services.workerpayments;

/**
 * How often the worker is paid.
 */
public enum PayrollScheduleFrequency
{
	/** Every week */ 
	WEEKLY,

	/** Every other week (once per fortnight) */ 
	BIWEEKLY,

	/**  Twice per month */ 
	SEMIMONTHLY,
	
	/** Once per month */ 
	MONTHLY,
    
	/**  Not Set */
	NOT_SET;
}