package com.intuit.sb.payroll.task;

public enum TaskType {
    NOTIFICATION,	// System alert, message, FYI type thing
    REMINDER,		// A Recurring or one-time date-sensitive Task (Call a customer, pay the workers)
    SETUP,		// A required "domain/compliance" related setup workflows (Company Setup, Worker Setup, Pay Schedule, Banking Setup)
    SCHEDULED,		// Any task that has schedule attached to it
    NON_SCHEDULED;	// Any task that is not a Scheduled task
}
