package com.intuit.sb.payroll.services.wages;


/**
 *  <P>The <CODE>CompensationUtils</CODE> class contains helper methods for setting up compensation items</P>
 *
 * $Author$
 * $Revision$
 * $DateTime$
 *
 */
public class CompensationUtils {
	
	public static SaveCompensationItemRequest[] mapToSaveCompensationItemRequest(
	                SaveCompensationItemOperation operation, CompensationItem[] compensationItems) {
		SaveCompensationItemRequest[] compensationItemRequests = new SaveCompensationItemRequest[compensationItems.length];
		for (int i = 0; i < compensationItemRequests.length; i++) {
			compensationItemRequests[i] = new SaveCompensationItemRequest(compensationItems[i], operation);
		}
		return compensationItemRequests;
	}

}

