package com.intuit.sb.payroll.entity.taxes.withholding;

import javax.ejb.Local;

import com.intuit.sb.payroll.entity.eao.GenericEAO;
import com.intuit.sb.payroll.entity.model.ComplianceDoc;
import com.intuit.sb.payroll.entity.model.ComplianceDocIdEnum;

@Local
public interface ComplianceDocEAO extends GenericEAO<ComplianceDoc> {

	public static final String JNDI_NAME =  "ComplianceDocEAO/local";

    public ComplianceDoc findComplianceDocByDocId(ComplianceDocIdEnum docEnum);
}
