package com.intuit.sb.payroll.pts.entity.impl;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;

import org.jboss.annotation.security.SecurityDomain;

import com.intuit.sb.payroll.pts.entity.BankAccountState;
import com.intuit.sb.payroll.pts.entity.BankAccountStateEAO;
import com.intuit.sb.payroll.pts.entity.GenericStateEjbEAO;

@Stateless(name = "BankAccountStateEAO")
@TransactionManagement(TransactionManagementType.CONTAINER)
// Use CMT
// Clients must start the Txn so multiple EAO calls in a single request are within a single txn
@TransactionAttribute(TransactionAttributeType.MANDATORY)
@SecurityDomain("BHPIAM")
@RolesAllowed( { "Authenticated" })
public class BankAccountStateEjbEAO  extends GenericStateEjbEAO<BankAccountState> implements BankAccountStateEAO {

}
