package com.intuit.sb.payroll.performance;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class PayrollPerfInitializerServlet extends HttpServlet {

	private static final long serialVersionUID = 1L;

	/**
	 * processes realm/companies information from
	 * mock_data.xml
	 */
	public void init(ServletConfig config) throws ServletException 
	{
	       PayrollDataContainer.readUsersInRealm();
	}
	
	public void doGet(HttpServletRequest request, HttpServletResponse response)
    	throws ServletException, IOException {

		response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">");
        out.println("<HTML>");
        out.println("  <HEAD><TITLE>Read Users from mock_data.xml</TITLE></HEAD>");
        out.println("  <BODY>");
        
        PayrollDataContainer.readUsersInRealm();
        out.println(PayrollDataContainer.printUsers());
        out.println("Users read from Realm <br>");
        out.println("  </BODY>");
        out.println("</HTML>");
        out.flush();
        out.close();
	}
}
