
open CLASSPATHFILE, '.classpath' or die "can not open .classpath";
open MAVENTESTCLASSPATH, 'maven_test_classpath' or die "can not open maven_test_classpath";
open NEWCLASSPATH, '>.newclasspath' or die "can not open .newclasspath to write to";
$maven_test_classpath=<MAVENTESTCLASSPATH>;
$x=5;

%pathhash = ();

while ( $line=<CLASSPATHFILE> )
{
  # find jars in .classpath
  if ( $line =~ /<classpathentry kind="var" path=.*jar.*>/   )  {

    $pos = rindex($line, " path=");
    $endpos = index($line, ".jar");
    $jarname = substr $line, $pos, ($endpos-$pos+4);
    $pos = rindex($jarname, "/");
    $endpos = index($jarname, ".jar");
    $shortjarname = substr $jarname, $pos+1, ($endpos-$pos+4);
    @lines=();

    ## if the classpath is one line, continue
    if ( $line =~ /<classpathentry kind="var" path=.*jar.*\/>/ )
    {
         push(@lines, $line);
    }
    else
    {
       #if the classpath entry has attributes inside
       while ($line !~ /<\/classpathentry>/)
       {
         push(@lines, $line);
         $line=<CLASSPATHFILE>;
       }
         push(@lines, $line);
    }
    $pathhash{$shortjarname}= [@lines];
  }
  else
  { 
    if ( $line !~ /<\/classpath>/ )
    {
      print NEWCLASSPATH $line;
    }
  }
}

@entries = split(';', $maven_test_classpath);
$count=0;
@maven_test_classpath_jars = ();
foreach $entry(@entries)
{
  if ( $entry =~ /.*\.jar/ )
  {
    $entry =~ s/\\/\//g;
    $entry =~ s/.*repository//g;
    $pos = rindex($entry, "/");
    $endpos = index($entry, ".jar");
    $jarname = substr $entry, $pos+1, ($endpos-$pos+4);
    
    $maven_test_classpath_jars[$count] = $jarname;
    $count++;
  }
}

for (my $c=0; $c < $count; $c++)
{
  $depjar=$maven_test_classpath_jars[$c];
  $lines=$pathhash{$depjar};
  for (my $c=0; $c <= $#{$lines}; $c++)
  {
    print NEWCLASSPATH "${$lines}[$c]";
  }
}

print NEWCLASSPATH "\n";
print NEWCLASSPATH "</classpath>";
close(CLASSPATHFILE);
close(NEWCLASSPATH);

open CLASSPATHFILE, ' > .classpath' or die "can not open .classpath";
open NEWCLASSPATH, '.newclasspath' or die "can not open .newclasspath to write to";

while (<NEWCLASSPATH>)
{
  print CLASSPATHFILE $_;
}
close(CLASSPATHFILE);
close(NEWCLASSPATH);
