/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.LimitTuple.java
 * 
 * Created: Aug 17, 2011 12:26:54 AM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

/**
 *
 * @author gkesler
 */
public class MaxResultsTuple extends PaginationTuple<Integer> {
    public MaxResultsTuple (Integer value) {
        super(value);
    }
    
    public <T> T accept(TupleVisitor<T> visitor, T data) {
        return visitor.visit(this, data);
    }
}
