/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.generator.NotTuple.java
 * 
 * Created: Aug 16, 2011 7:35:17 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.generator.tuple;

/**
 *
 * @author gkesler
 */
public class NotTuple extends UnaryTuple {
    public <T> T accept(TupleVisitor<T> visitor, T data) {
        return visitor.visit(this, data);
    }

    public Precedence getPrecedence() {
        return Precedence.Not;
    }
}
