/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.OptimizerException.java
 * 
 * Created: Jul 12, 2011 1:19:51 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.optimizer;

import com.intuit.sb.services.query.validator.ValidatorException;

/**
 *
 * @author gkesler
 */
public class OptimizerException extends ValidatorException {

    /**
     * Creates a new instance of <code>OptimizerException</code> without detail message.
     */
    public OptimizerException() {
    }

    /**
     * Constructs an instance of <code>OptimizerException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public OptimizerException(String msg) {
        super(msg);
    }
    
    public OptimizerException(String msg, Throwable cause) {
        super(msg, cause);
    }
    
    public OptimizerException(Throwable cause) {
        super(cause);
    }
}
