/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.DefaultContextFactory.java
 * 
 * Created: Aug 8, 2011 3:51:28 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.validator.context;

/**
 *
 * @author gkesler
 */
public class DefaultContextFactory extends AbstractRootContextFactory {
    private static final MetadataProviderFactory impFactory = new MetadataProviderFactory() {
        public MetadataProvider createMetadataProvider(Context context, Class contextType) {
            return new BeanInfoProvider(this, context, contextType);
        }
    };

    protected MetadataProviderFactory getMetadataProviderFactory() {
        return impFactory;
    }
}
