/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.InvalidContextException.java
 * 
 * Created: Aug 8, 2011 2:56:15 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.validator.context;

import com.intuit.sb.services.query.validator.ValidatorException;

/**
 *
 * @author gkesler
 */
public class InvalidContextException extends ValidatorException {

    /**
     * Creates a new instance of <code>InvalidContextException</code> without detail message.
     */
    public InvalidContextException() {
    }

    /**
     * Constructs an instance of <code>InvalidContextException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public InvalidContextException(String msg) {
        super(msg);
    }
    
    public InvalidContextException (Throwable cause) {
        super(cause);
    }
    
    public InvalidContextException (String msg, Throwable cause) {
        super(msg, cause);
    }
}
