/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.validator.context.StringPathBuilder.java
 * 
 * Created: Aug 17, 2011 9:44:42 PM
 * Author: gkesler
 */
package com.intuit.sb.services.query.validator.context;

/**
 *
 * @author gkesler
 */
public abstract class StringPathBuilder implements PathBuilder {
    protected final String delimiter;
    protected final StringBuilder builder = new StringBuilder();
    
    public StringPathBuilder (String delimiter) {
        this.delimiter = delimiter;
    }

    public void addPathElement(String name) {
        if (builder.length() > 0) {
            builder.append(delimiter);
        }
        
        builder.append(name);
    }
}
