/*
 * Copyright 2007 Intuit Inc. All rights reserved. Unauthorized reproduction
 * is a violation of applicable law. This material contains certain
 * confidential or proprietary information and trade secrets of Intuit Inc.
 * 
 * com.intuit.sb.services.query.integration.IntegrationContextFactory.java
 * 
 * Created: Aug 18, 2011 1:18:33 AM
 * Author: gkesler
 */
package com.intuit.sb.datasync.query.integration.ids;

import com.intuit.sb.services.query.validator.context.AbstractRootContextFactory;
import com.intuit.sb.services.query.validator.context.Context;
import com.intuit.sb.services.query.validator.context.MetadataProvider;
import com.intuit.sb.services.query.validator.context.MetadataProviderFactory;

/**
 *
 * @author gkesler
 */
public class IntegrationContextFactory extends AbstractRootContextFactory {
    private static final MetadataProviderFactory impFactory = new MetadataProviderFactory() {
        public MetadataProvider createMetadataProvider(Context context, Class contextType) {
            return new IntegrationMetadataProvider(this, context, contextType);
        }
    };

    @Override
    protected MetadataProviderFactory getMetadataProviderFactory() {
	return impFactory;
    }
}
